<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage AppGate
 * @since AppGate 0.9
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">

		<?php if ( is_single() ) : ?>
        
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<?php else : ?>
		<h1 class="entry-title">
			<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h1>
		<?php endif; // is_single() ?>

		<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
		<div class="entry-thumbnail">
			<?php the_post_thumbnail(); ?>
		</div>
		<?php endif; ?>
		
	</header><!-- .entry-header -->

	<?php if ( !is_single() ) : ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>

		<div class="entry-meta">
			<?php appgate_entry_meta(); ?>
			<span class="comments-link">
			<?php if ( comments_open() ) : ?>
				<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'appgate' ) . '</span>', __( 'One comment so far', 'appgate' ), __( 'View all % comments', 'appgate' ) ); ?>
			<?php endif; ?>
			</span>
			<?php edit_post_link( __( 'Edit', 'appgate' ), '<span class="edit-link">', '</span>' ); ?>
		</div><!-- .entry-meta -->
        
	<div class="entry-content">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'appgate' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'appgate' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<footer class="entry-meta">
		<?php if ( is_single() && get_the_author_meta( 'description' ) && is_multi_author() ) : ?>
			<?php get_template_part( 'author-bio' ); ?>
		<?php endif; ?>
	</footer><!-- .entry-meta -->
</article><!-- #post -->
