<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the
 * #main and #page div elements.
 *
 * @package WordPress
 * @subpackage AppGate
 * @since AppGate 0.9
 */
?>

		</div><!-- #main -->

		<footer id="colophon" class="site-footer" role="contentinfo">

			<?php get_sidebar( 'main' ); ?>

			<div class="site-info">

				<div class="footer-right">

			<?php if( get_theme_mod( 'appgate_credit_link' ) == 1 ) { ?>

        	<a class="footer-link" href="<?php echo esc_url( __( 'http://highercoding.co.uk', 'appgate' ) ); ?>" title="<?php _e( 'Higher Coding WordPress Web Design', 'appgate' ); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/hc.png" alt="<?php _e( 'Higher Coding WordPress Web Design', 'appgate' ); ?>" /></a>

			<?php } elseif( get_theme_mod( 'appgate_footer_gp' ) || get_theme_mod( 'appgate_footer_as' ) ) { ?>

			<?php if( get_theme_mod( 'appgate_footer_gp' ) ) { ?>

					<a class="footer-link" href="<?php echo esc_url( get_theme_mod( 'appgate_footer_gp' ) ); ?>"><img alt="<?php _e( 'Get it on Google Play', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/google-play-badge.png"></a>

			<?php } ?>
			
			<?php if( get_theme_mod( 'appgate_footer_as' ) ) { ?>

					<a class="footer-link" href="<?php echo esc_url( get_theme_mod( 'appgate_footer_as' ) ); ?>"><img alt="<?php _e( 'Download on the App Store', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/app-store-badge.png"></a>
			
			<?php } ?>
			
			<?php } ?>
                    
                </div><!-- .footer-right -->

			<?php if( get_theme_mod( 'appgate_footer_logo' ) ) { ?>

            <a class="footer-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url( get_theme_mod( 'appgate_footer_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
				
			<?php } ?>

				<div class="footer-text">

            <a class="home-link" href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>

			<?php if( get_theme_mod( 'appgate_credit_link' ) != 1 ) { ?>

            <p><?php _e( 'Powered by', 'appgate' ); ?> <a href="<?php echo esc_url( __( 'https://highercoding.co.uk', 'appgate' ) ); ?>"><?php _e( 'AppGate Theme for WordPress', 'appgate' ); ?></a></p>

			<?php } else { ?>

			<?php if( get_theme_mod( 'appgate_copyright_text' ) ) { ?>

            <p><?php echo esc_attr( get_theme_mod( 'appgate_copyright_text' ) ); ?></p>

			<?php } elseif( get_bloginfo( 'description' ) ) { ?>

            <?php bloginfo( 'description' ); ?>

			<?php } else { ?>

            <?php _e( 'is licensed under', 'appgate' ); ?> <a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><?php _e( 'Creative Commons', 'appgate' ); ?></a>

			<?php } ?>

			<?php } ?>

				</div><!-- .footer-text -->

			</div><!-- .site-info -->

		</footer><!-- #colophon -->

	</div><!-- #page -->

	<?php wp_footer(); ?>

</body>
</html>
