<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up to <div id="main">
 *
 * @package WordPress
 * @subpackage AppGate
 * @since AppGate 0.9
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="hfeed site">
		<header id="masthead" class="site-header" role="banner">
		<div class="header-wrapper">
        
				<?php appgate_custom_logo(); ?>

			<div id="navbar" class="navbar">
				<nav id="site-navigation" class="navigation main-navigation" role="navigation">
					<h3 class="menu-toggle"><?php _e( 'Menu', 'appgate' ); ?></h3>
					<a class="screen-reader-text skip-link" href="#content" title="<?php esc_attr_e( 'Skip to content', 'appgate' ); ?>"><?php _e( 'Skip to content', 'appgate' ); ?></a>
                    
					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>

					<?php get_search_form(); ?>
                    
				</nav><!-- #site-navigation -->
			</div><!-- #navbar -->
			</div><!-- .header-wrapper -->
		</header><!-- #masthead -->

		<?php if(is_front_page()) { ?>
        
		<div id="feature">
        
    	<?php
			/* Get slider slides */
			$slides_count = 0;
			$slider_slides = new WP_Query( 'post_status=publish&posts_per_page=10&post_type=slides&orderby=menu_order' );
			if( $slider_slides->have_posts() ) {
			?>
            
        <div id="slider">
			<?php 
				while( $slider_slides->have_posts() ) {
					$slider_slides->the_post();
					$slide_class = get_post_meta( $post->ID, 'slide_class', true );
					$slide_action = get_post_meta( $post->ID, 'slide_action', true );
					$slide_link = get_post_meta( $post->ID, 'slide_link', true );
					$slide_gp = get_post_meta( $post->ID, 'slide_gp', true );
					$slide_as = get_post_meta( $post->ID, 'slide_as', true );
					$slides_count++; ?>
			<div class="slide">
				<?php if( !has_post_thumbnail() && !empty( $slide_class ) ) { ?>
                <?php if( !empty( $slide_link ) ) { ?>
                <div class="slide-image"><a href="<?php echo $slide_link; ?>"><i class="button-fa fa <?php echo $slide_class; ?>"></i></a></div>
                <?php } else { ?>
               <div class="slide-image"><i class="button-fa fa <?php echo $slide_class; ?>"></i></div>
                <?php } ?>
                <?php } elseif( has_post_thumbnail() ) { ?>
                <?php if( !empty( $slide_link ) ) { ?>
				<div class="slide-image"><a href="<?php echo $slide_link; ?>"><?php the_post_thumbnail( 'appgate_slide' ); ?></a></div>
                <?php } else { ?>
				<div class="slide-image"><?php the_post_thumbnail( 'appgate_slide' ); ?></div>
                <?php } ?>
                <?php } ?>
                <?php if( $slides_count == 1 ) { ?>
				<h1 class="slide-title"><?php the_title(); ?></h1>
                <?php } else { ?>
				<h2 class="slide-title"><?php the_title(); ?></h2>
                <?php } ?>
				<div class="slide-text"><?php the_content(); ?></div>
				<?php edit_post_link( __( 'Edit', 'appgate' ) , '<span class="edit-link button-container">', '</span>' ); ?>
               	<div class="slide-button">
				<?php if( !empty( $slide_action ) && !empty( $slide_link ) ) { ?>
				<a class="feature-link button" href="<?php echo $slide_link; ?>"><?php echo $slide_action; ?></a>
				<?php } ?>

				<?php if( !empty( $slide_gp ) ) { ?>
				<a class="feature-link" href="<?php echo $slide_gp; ?>"><img alt="<?php _e( 'Get it on Google Play', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/google-play-badge.png"></a>
				<?php } ?>
			
				<?php if( !empty( $slide_as ) ) { ?>
				<a class="feature-link" href="<?php echo $slide_as; ?>"><img alt="<?php _e( 'Download on the App Store', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/app-store-badge.png"></a>
           		<?php } ?>
                </div>
            </div>
            <?php } ?>
            </div>
            
		<?php } else { ?>

			<?php if( get_theme_mod( 'appgate_feature_image' ) ) { ?>

           <img id="feature-image" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" src="<?php echo esc_url( get_theme_mod( 'appgate_feature_image' ) ); ?>">
				
			<?php } ?>
                
			<div id="feature-content">

				<?php if( get_theme_mod( 'appgate_feature_title' ) ) { ?>

				<h2 id="feature-title"><?php echo esc_attr( get_theme_mod( 'appgate_feature_title' ) ); ?></h2>

				<?php } else { ?>
            
				<h2 id="feature-title"><?php bloginfo( 'name' ); ?></h2>

				<?php } ?>
                
				<div id="feature-text">

				<?php if( get_theme_mod( 'appgate_feature_description' ) ) { ?>

					<p><?php echo esc_attr( get_theme_mod( 'appgate_feature_description' ) ); ?></p>

				<?php } else { ?>

					<p><?php bloginfo( 'description' ); ?></p>

				<?php } ?>

				<?php if( get_theme_mod( 'appgate_button_link' ) && get_theme_mod( 'appgate_button_text' ) ) { ?>
                    
					<a class="feature-link button" href="<?php echo esc_url( get_theme_mod( 'appgate_button_link' ) ); ?>"><?php echo get_theme_mod( 'appgate_button_text' ); ?></a>

				<?php } ?>

			<?php if( get_theme_mod( 'appgate_feature_gp' ) || get_theme_mod( 'appgate_feature_as' ) ) { ?>

			<?php if( get_theme_mod( 'appgate_feature_gp' ) ) { ?>

					<a class="feature-link" href="<?php echo esc_url( get_theme_mod( 'appgate_feature_gp' ) ); ?>"><img alt="<?php _e( 'Get it on Google Play', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/google-play-badge.png"></a>

			<?php } ?>
			
			<?php if( get_theme_mod( 'appgate_feature_as' ) ) { ?>

					<a class="feature-link" href="<?php echo esc_url( get_theme_mod( 'appgate_feature_as' ) ); ?>"><img alt="<?php _e( 'Download on the App Store', 'appgate' ); ?>" src="<?php echo get_template_directory_uri(); ?>/images/app-store-badge.png"></a>
			
			<?php } ?>
			
			<?php } ?>

				</div>
                
			<div class="clear"></div>
                
			</div>
            
		<?php } ?>
        
		</div>
        
		<?php } // is_front_page ?>

		<div id="main" class="site-main">
